VkBindSparseInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkBindSparseInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | waitSemaphoreCount
const VkSemaphore * | pWaitSemaphores
uint32_t | bufferBindCount
const VkSparseBufferMemoryBindInfo * | pBufferBinds
uint32_t | imageOpaqueBindCount
const VkSparseImageOpaqueMemoryBindInfo * | pImageOpaqueBinds
uint32_t | imageBindCount
const VkSparseImageMemoryBindInfo * | pImageBinds
uint32_t | signalSemaphoreCount
const VkSemaphore * | pSignalSemaphores

## Detailed Description

Definition at line 1788 of file vulkan.h.

## Field Documentation

## bufferBindCount

uint32_t VkBindSparseInfo::bufferBindCount

Definition at line 1793 of file vulkan.h.

## imageBindCount

uint32_t VkBindSparseInfo::imageBindCount

Definition at line 1797 of file vulkan.h.

## imageOpaqueBindCount

uint32_t VkBindSparseInfo::imageOpaqueBindCount

Definition at line 1795 of file vulkan.h.

## pBufferBinds

const VkSparseBufferMemoryBindInfo* VkBindSparseInfo::pBufferBinds

Definition at line 1794 of file vulkan.h.

## pImageBinds

const VkSparseImageMemoryBindInfo* VkBindSparseInfo::pImageBinds

Definition at line 1798 of file vulkan.h.

## pImageOpaqueBinds

const VkSparseImageOpaqueMemoryBindInfo* VkBindSparseInfo::pImageOpaqueBinds

Definition at line 1796 of file vulkan.h.

## pNext

const void* VkBindSparseInfo::pNext

Definition at line 1790 of file vulkan.h.

## pSignalSemaphores

const VkSemaphore* VkBindSparseInfo::pSignalSemaphores

Definition at line 1800 of file vulkan.h.

## pWaitSemaphores

const VkSemaphore* VkBindSparseInfo::pWaitSemaphores

Definition at line 1792 of file vulkan.h.

## signalSemaphoreCount

uint32_t VkBindSparseInfo::signalSemaphoreCount

Definition at line 1799 of file vulkan.h.

## sType

VkStructureType VkBindSparseInfo::sType

Definition at line 1789 of file vulkan.h.

## waitSemaphoreCount

uint32_t VkBindSparseInfo::waitSemaphoreCount

Definition at line 1791 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h